<?php
require_once("../config/conexion.php");
require_once("../models/Carrera.php");
require_once("../models/Permisos.php");
$carrera = new Carrera();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar_carrera":
        $datos = $carrera->Carrera_por_ID($_POST["carreradbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["carreradbk"] = $row["carreradbk"];
                $output["descripcion"] = $row["descripcion"];
                $output["estado"] = $row["estado"];
                $output["codigo"] = $row["codigo"];
                $output["tipo"] = $row["tipo"];
                $output["titulo"] = $row["titulo"];
                $output["modalidad"] = $row["modalidad"];
                $output["creacion"] = $row["creacion"];
                $output["malla"] = $row["malla"];
            }
            echo json_encode($output);
        }
        break;
    case "listar":
        $datos = $carrera->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("CARRERA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["carreradbk"];
            $sub_array[] = $row["descripcion"];
            $sub_array[] = $row["codigo"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["titulo"];
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarCarrera" idCarrera="' . $row["carreradbk"] . '" estadoCarrera="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarCarrera" idCarrera="' . $row["carreradbk"] . '" estadoCarrera="ACTIVO">Inactivo</button></td>';
                }
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["carreradbk"] . ');" id="' . $row["carreradbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["carreradbk"] . ');" id="' . $row["carreradbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="creacion(' . $row["carreradbk"] . ');" id="' . $row["carreradbk"] . '" class="btn btn-outline-primary btn-icon"><div>Creación</div></button>
                <button type="button" onClick="malla(' . $row["carreradbk"] . ');" id="' . $row["carreradbk"] . '" class="btn btn-outline-secondary btn-icon"><div>Malla</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardar":
        $datos = array("tabla" => "carrera",
            "carreradbk" => $_POST["carreradbk"],
            "descripcion" => $_POST["descripcion"],
            "codigo" => $_POST["codigo"],
            "tipo" => $_POST["tipo"],
            "titulo" => $_POST["titulo"],
            "modalidad" => $_POST["modalidad"],
            "creacion" => $_POST["creacion"],
            "malla" => $_POST["malla"]
        );
        $carrera->mdlActualizarCarrera($datos);
        break;
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarCarrera"])) {
            $datos = array("tabla" => "carrera",
                "carreradbk" => $_POST["activarId"],
                "estado" => $_POST["activarCarrera"]
            );
            $carrera->mdlActualizarEstado($datos);
        }
        break;
    case "eliminar_carrera":
        $datos = $carrera->Eliminar_por_ID($_POST["carreradbk"]);
        break;
    case "comboCarrera":
        $datos = $carrera->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['carreradbk'] . "'>" . $row['descripcion'] . " - ".$row['tipo']."</option>";
            }
            echo $html;
        }
        break;
    case "comboFiltro":
        $datos = $carrera->ConsultarFiltro($_POST["periodbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['carreradbk'] . "'>" . $row['descripcion'] ." - ".$row['modalidad']."</option>";
            }
            echo $html;
        }
        break;        
}
?>
